be.vlaanderen.mercurius.mohm.schemas.v1

## Class EMOHMDF107PushApplicationViewRequest

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.EMOHMDF107PushApplicationViewRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:07:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class EMOHMDF107PushApplicationViewRequest
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MessageMetadataType"/>
               <element name="PushApplication" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}PushApplicationViewRequestType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMOHMDF107PushApplicationViewRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageMetadataType` | `getMessageMetadata()` Gets the value of the messageMetadata property.
    `PushApplicationViewRequestType` | `getPushApplication()` Gets the value of the pushApplication property.
    `void` | `setMessageMetadata(MessageMetadataType value)` Sets the value of the messageMetadata property.
    `void` | `setPushApplication(PushApplicationViewRequestType value)` Sets the value of the pushApplication property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMOHMDF107PushApplicationViewRequest

          public EMOHMDF107PushApplicationViewRequest()

  - ### Method Detail

    - #### getMessageMetadata

          public MessageMetadataType getMessageMetadata()

      Gets the value of the messageMetadata property.
      Returns:
        possible object is `MessageMetadataType`

    - #### setMessageMetadata

          public void setMessageMetadata(MessageMetadataType value)

      Sets the value of the messageMetadata property.
      Parameters:
        `value` - allowed object is `MessageMetadataType`

    - #### getPushApplication

          public PushApplicationViewRequestType getPushApplication()

      Gets the value of the pushApplication property.
      Returns:
        possible object is `PushApplicationViewRequestType`

    - #### setPushApplication

          public void setPushApplication(PushApplicationViewRequestType value)

      Sets the value of the pushApplication property.
      Parameters:
        `value` - allowed object is `PushApplicationViewRequestType`

Connector Packaging TRUSSMAKER 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.